uk.gov.hmrc.gg.secure

# FeatureConfig

###
Related Docs: trait FeatureConfig | package secure

#### object FeatureConfig extends FeatureConfig with RunMode with ServicesConfig

Linear Supertypes
ServicesConfig, RunMode, FeatureConfig, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FeatureConfig
2. ServicesConfig
3. RunMode
4. FeatureConfig
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def baseUrl(serviceName: String): String

   Definition Classes
     ServicesConfig

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def config(serviceName: String): Configuration

   Attributes
     protected
   Definition Classes
     ServicesConfig

8. #### lazy val defaultProtocol: String

   Attributes
     protected
   Definition Classes
     ServicesConfig

9. #### lazy val env: String

   Definition Classes
     RunMode

10. #### def envPath(path: String)(other: ⇒ String, prod: ⇒ String): String

    Definition Classes
      RunMode

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### val featureOverrideCookieSuffix: String

    Definition Classes
      FeatureConfig → FeatureConfig

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def getBoolean(key: String): Boolean

    Definition Classes
      ServicesConfig

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def getConfBool(confKey: String, defBool: ⇒ Boolean): Boolean

    Definition Classes
      ServicesConfig

18. #### def getConfDuration(confKey: String, defDur: ⇒ Duration): Duration

    Definition Classes
      ServicesConfig

19. #### def getConfInt(confKey: String, defInt: ⇒ Int): Int

    Definition Classes
      ServicesConfig

20. #### def getConfString(confKey: String, defString: ⇒ String): String

    Definition Classes
      ServicesConfig

21. #### def getDuration(key: String): Duration

    Definition Classes
      ServicesConfig

22. #### def getInt(key: String): Int

    Definition Classes
      ServicesConfig

23. #### def getString(key: String): String

    Definition Classes
      ServicesConfig

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### val isFeatureOverrideCookieEnabled: Boolean

    Definition Classes
      FeatureConfig → FeatureConfig

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### def mode: Mode

    Attributes
      protected
    Definition Classes
      RunMode

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### lazy val playServices: String

    Attributes
      protected
    Definition Classes
      ServicesConfig

32. #### lazy val rootServices: String

    Attributes
      protected
    Definition Classes
      ServicesConfig

33. #### def runModeConfiguration: Configuration

    Attributes
      protected
    Definition Classes
      RunMode

34. #### lazy val services: String

    Attributes
      protected
    Definition Classes
      ServicesConfig

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ServicesConfig

### Inherited from RunMode

### Inherited from FeatureConfig

### Inherited from AnyRef

### Inherited from Any

### Ungrouped